package com.tappli.android.checkevent;

import android.app.Activity;
import android.app.Dialog;
import android.app.TabActivity;
import android.content.Context;
import android.content.Intent;
import android.content.res.Configuration;
import android.content.res.Resources.Theme;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.os.Bundle;
import android.util.AttributeSet;
import android.util.Log;
import android.view.ContextMenu;
import android.view.KeyEvent;
import android.view.Menu;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.view.View;
import android.view.ContextMenu.ContextMenuInfo;
import android.view.WindowManager.LayoutParams;
import android.widget.TabHost;
import android.widget.TabHost.TabSpec;

public class EventTabActivity extends TabActivity {

	// タイトル
	private String title = "EventTabActivity";

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		putEventLog("onCreate");
		
		TabHost host = getTabHost();
		TabSpec spec = null;
		Intent intent = null;
		String title = null;
		
		title = "Tab1";
		intent = new Intent(this, EventActivity.class);
		intent.putExtra(EventActivity.KEY_TITLE, title);
		spec = host.newTabSpec(title);
		spec.setIndicator(title);
		spec.setContent(intent);
		host.addTab(spec);
		
		title = "Tab2";
		intent = new Intent(this, EventActivity.class);
		intent.putExtra(EventActivity.KEY_TITLE, title);
		spec = host.newTabSpec(title);
		spec.setIndicator(title);
		spec.setContent(intent);
		host.addTab(spec);
	}

	@Override
	protected void onActivityResult(int requestCode, int resultCode, Intent data) {
		putEventLog("onActivityResult");
		super.onActivityResult(requestCode, resultCode, data);
	}

	@Override
	protected void onApplyThemeResource(Theme theme, int resid, boolean first) {
		putEventLog("onApplyThemeResource");
		super.onApplyThemeResource(theme, resid, first);
	}

	@Override
	protected void onChildTitleChanged(Activity childActivity, CharSequence title) {
		putEventLog("onChildTitleChanged");
		super.onChildTitleChanged(childActivity, title);
	}

	@Override
	public void onConfigurationChanged(Configuration newConfig) {
		putEventLog("onConfigurationChanged");
		super.onConfigurationChanged(newConfig);
	}

	@Override
	public void onContentChanged() {
		putEventLog("onContentChanged");
		super.onContentChanged();
	}

	@Override
	public boolean onContextItemSelected(MenuItem item) {
		putEventLog("onContextItemSelected");
		return super.onContextItemSelected(item);
	}

	@Override
	public void onContextMenuClosed(Menu menu) {
		putEventLog("onContextMenuClosed");
		super.onContextMenuClosed(menu);
	}

	@Override
	public void onCreateContextMenu(ContextMenu menu, View v, ContextMenuInfo menuInfo) {
		putEventLog("onCreateContextMenu");
		super.onCreateContextMenu(menu, v, menuInfo);
	}

	@Override
	public CharSequence onCreateDescription() {
		putEventLog("onCreateDescription");
		return super.onCreateDescription();
	}

	@Override
	protected Dialog onCreateDialog(int id) {
		putEventLog("onCreateDialog");
		return super.onCreateDialog(id);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		putEventLog("onCreateOptionsMenu");
		return super.onCreateOptionsMenu(menu);
	}

	@Override
	public boolean onCreatePanelMenu(int featureId, Menu menu) {
		putEventLog("onCreatePanelMenu");
		return super.onCreatePanelMenu(featureId, menu);
	}

	@Override
	public View onCreatePanelView(int featureId) {
		putEventLog("onCreatePanelView");
		return super.onCreatePanelView(featureId);
	}

	@Override
	public boolean onCreateThumbnail(Bitmap outBitmap, Canvas canvas) {
		putEventLog("onCreateThumbnail");
		return super.onCreateThumbnail(outBitmap, canvas);
	}

	@Override
	public View onCreateView(String name, Context context, AttributeSet attrs) {
		putEventLog("onCreateView");
		return super.onCreateView(name, context, attrs);
	}

	@Override
	protected void onDestroy() {
		putEventLog("onDestroy");
		super.onDestroy();
	}

	@Override
	public boolean onKeyDown(int keyCode, KeyEvent event) {
		putEventLog("onKeyDown");
		return super.onKeyDown(keyCode, event);
	}

	@Override
	public boolean onKeyMultiple(int keyCode, int repeatCount, KeyEvent event) {
		putEventLog("onKeyMultiple");
		return super.onKeyMultiple(keyCode, repeatCount, event);
	}

	@Override
	public boolean onKeyUp(int keyCode, KeyEvent event) {
		putEventLog("onKeyUp");
		return super.onKeyUp(keyCode, event);
	}

	@Override
	public void onLowMemory() {
		putEventLog("onLowMemory");
		super.onLowMemory();
	}

	@Override
	public boolean onMenuItemSelected(int featureId, MenuItem item) {
		putEventLog("onMenuItemSelected");
		return super.onMenuItemSelected(featureId, item);
	}

	@Override
	public boolean onMenuOpened(int featureId, Menu menu) {
		putEventLog("onMenuOpened");
		return super.onMenuOpened(featureId, menu);
	}

	@Override
	protected void onNewIntent(Intent intent) {
		putEventLog("onNewIntent");
		super.onNewIntent(intent);
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		putEventLog("onOptionsItemSelected");
		return super.onOptionsItemSelected(item);
	}

	@Override
	public void onOptionsMenuClosed(Menu menu) {
		putEventLog("onOptionsMenuClosed");
		super.onOptionsMenuClosed(menu);
	}

	@Override
	public void onPanelClosed(int featureId, Menu menu) {
		putEventLog("onPanelClosed");
		super.onPanelClosed(featureId, menu);
	}

	@Override
	protected void onPause() {
		putEventLog("onPause");
		super.onPause();
	}

	@Override
	protected void onPostCreate(Bundle icicle) {
		putEventLog("onPostCreate");
		super.onPostCreate(icicle);
	}

	@Override
	protected void onPostResume() {
		putEventLog("onPostResume");
		super.onPostResume();
	}

	@Override
	protected void onPrepareDialog(int id, Dialog dialog) {
		putEventLog("onPrepareDialog");
		super.onPrepareDialog(id, dialog);
	}

	@Override
	public boolean onPrepareOptionsMenu(Menu menu) {
		putEventLog("onPrepareOptionsMenu");
		return super.onPrepareOptionsMenu(menu);
	}

	@Override
	public boolean onPreparePanel(int featureId, View view, Menu menu) {
		putEventLog("onPreparePanel");
		return super.onPreparePanel(featureId, view, menu);
	}

	@Override
	protected void onRestart() {
		putEventLog("onRestart");
		super.onRestart();
	}

	@Override
	protected void onRestoreInstanceState(Bundle state) {
		putEventLog("onRestoreInstanceState");
		super.onRestoreInstanceState(state);
	}

	@Override
	protected void onResume() {
		putEventLog("onResume");
		super.onResume();
	}

	@Override
	public Object onRetainNonConfigurationInstance() {
		putEventLog("onRetainNonConfigurationInstance");
		return super.onRetainNonConfigurationInstance();
	}

	@Override
	protected void onSaveInstanceState(Bundle outState) {
		putEventLog("onSaveInstanceState");
		super.onSaveInstanceState(outState);
	}

	@Override
	public boolean onSearchRequested() {
		putEventLog("onSearchRequested");
		return super.onSearchRequested();
	}

	@Override
	protected void onStart() {
		putEventLog("onStart");
		super.onStart();
	}

	@Override
	protected void onStop() {
		putEventLog("onStop");
		super.onStop();
	}

	@Override
	protected void onTitleChanged(CharSequence title, int color) {
		putEventLog("onTitleChanged");
		super.onTitleChanged(title, color);
	}

	@Override
	public boolean onTouchEvent(MotionEvent event) {
		putEventLog("onTouchEvent");
		return super.onTouchEvent(event);
	}

	@Override
	public boolean onTrackballEvent(MotionEvent event) {
		putEventLog("onTrackballEvent");
		return super.onTrackballEvent(event);
	}

	@Override
	public void onUserInteraction() {
		putEventLog("onUserInteraction");
		super.onUserInteraction();
	}

	@Override
	protected void onUserLeaveHint() {
		putEventLog("onUserLeaveHint");
		super.onUserLeaveHint();
	}

	@Override
	public void onWindowAttributesChanged(LayoutParams params) {
		putEventLog("onWindowAttributesChanged");
		super.onWindowAttributesChanged(params);
	}

	@Override
	public void onWindowFocusChanged(boolean hasFocus) {
		putEventLog("onWindowFocusChanged");
		super.onWindowFocusChanged(hasFocus);
	}

	/**
	 * イベントの記録を行う
	 * @param eventName
	 */
	private void putEventLog(String eventName) {
		Log.i(title, eventName);
	}


}
