package com.tappli.android.checkevent;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;

public class MainActivity extends Activity implements OnClickListener {
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		
		View button1 = findViewById(R.id.button1);
		button1.setOnClickListener(this);
		
		View button2 = findViewById(R.id.button2);
		button2.setOnClickListener(this);
	}

	@Override
	public void onClick(View v) {
		switch (v.getId()) {
		case R.id.button1:
			showEventActivity();
			break;
		case R.id.button2:
			showEventTabActivity();
			break;
		}
	}
	
	private void showEventActivity() {
		Intent intent = new Intent(this, EventActivity.class);
		intent.putExtra(EventActivity.KEY_TITLE, "Single");
		startActivity(intent);
	}
	
	private void showEventTabActivity() {
		Intent intent = new Intent(this, EventTabActivity.class);
		startActivity(intent);
	}
}